package com.ruoyi.care.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 护理任务打卡对象 care_nurse_clocks
 * 
 * @author qy
 * @date 2024-11-26
 */
public class CareNurseClocks extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 护理任务打卡表的唯一标识符 */
    private Long clockId;

    /** 护理任务记录表id */
    @Excel(name = "护理任务记录表id")
    private Long nursingRecordId;

    /** 护理时间 */
    @Excel(name = "护理时间")
    private String nursingTime;

    /** 图片路径 */
    @Excel(name = "图片路径")
    private String imgPaths;

    /** 图片数量 */
    @Excel(name = "图片数量")
    private Long imgNum;

    /** 删除标志（0代表存在 2代表删除） */
    private String delFlag;
    private String applyId;

    public String getApplyId() {
        return applyId;
    }

    public void setApplyId(String applyId) {
        this.applyId = applyId;
    }

    public void setClockId(Long clockId)
    {
        this.clockId = clockId;
    }

    public Long getClockId() 
    {
        return clockId;
    }
    public void setNursingRecordId(Long nursingRecordId) 
    {
        this.nursingRecordId = nursingRecordId;
    }

    public Long getNursingRecordId() 
    {
        return nursingRecordId;
    }
    public void setNursingTime(String nursingTime) 
    {
        this.nursingTime = nursingTime;
    }

    public String getNursingTime() 
    {
        return nursingTime;
    }
    public void setImgPaths(String imgPaths) 
    {
        this.imgPaths = imgPaths;
    }

    public String getImgPaths() 
    {
        return imgPaths;
    }
    public void setImgNum(Long imgNum) 
    {
        this.imgNum = imgNum;
    }

    public Long getImgNum() 
    {
        return imgNum;
    }
    public void setDelFlag(String delFlag) 
    {
        this.delFlag = delFlag;
    }

    public String getDelFlag() 
    {
        return delFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("clockId", getClockId())
            .append("nursingRecordId", getNursingRecordId())
            .append("nursingTime", getNursingTime())
            .append("imgPaths", getImgPaths())
            .append("imgNum", getImgNum())
            .append("delFlag", getDelFlag())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
